package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 预算问题反馈记录
 * @author: 王强
 * @create: 2022-08-10 10:47
 **/
public class FeedBackBudget extends DataEntity<FeedBackBudget> {

    private String projectReserveId;                     //项目储备编号
    private String preferedCase;                         //甲供材优选情况
    private String transferSituation;                    //甲供转乙供情况
    private String budgetTemplateCheck;                  //预算模板核对
    private String quotaApplicationCheck;                //定额套用核对
    private String workLoadCheck;                        //工作流核对
    private String checkTheFee;                          //取费核对
    private String supplyCheck;                          //甲供物资核对
    private String materialCheck;                        //乙供物资核对
    private String liveWorkFeeCheck;                     //带电作业费核对
    private String demolitionEngineeringProblems;        //拆除工程问题
    private String otherProblem;                         //其他问题

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getPreferedCase() {
        return preferedCase;
    }

    public void setPreferedCase(String preferedCase) {
        this.preferedCase = preferedCase;
    }

    public String getTransferSituation() {
        return transferSituation;
    }

    public void setTransferSituation(String transferSituation) {
        this.transferSituation = transferSituation;
    }

    public String getBudgetTemplateCheck() {
        return budgetTemplateCheck;
    }

    public void setBudgetTemplateCheck(String budgetTemplateCheck) {
        this.budgetTemplateCheck = budgetTemplateCheck;
    }

    public String getQuotaApplicationCheck() {
        return quotaApplicationCheck;
    }

    public void setQuotaApplicationCheck(String quotaApplicationCheck) {
        this.quotaApplicationCheck = quotaApplicationCheck;
    }

    public String getWorkLoadCheck() {
        return workLoadCheck;
    }

    public void setWorkLoadCheck(String workLoadCheck) {
        this.workLoadCheck = workLoadCheck;
    }

    public String getCheckTheFee() {
        return checkTheFee;
    }

    public void setCheckTheFee(String checkTheFee) {
        this.checkTheFee = checkTheFee;
    }

    public String getSupplyCheck() {
        return supplyCheck;
    }

    public void setSupplyCheck(String supplyCheck) {
        this.supplyCheck = supplyCheck;
    }

    public String getMaterialCheck() {
        return materialCheck;
    }

    public void setMaterialCheck(String materialCheck) {
        this.materialCheck = materialCheck;
    }

    public String getLiveWorkFeeCheck() {
        return liveWorkFeeCheck;
    }

    public void setLiveWorkFeeCheck(String liveWorkFeeCheck) {
        this.liveWorkFeeCheck = liveWorkFeeCheck;
    }

    public String getDemolitionEngineeringProblems() {
        return demolitionEngineeringProblems;
    }

    public void setDemolitionEngineeringProblems(String demolitionEngineeringProblems) {
        this.demolitionEngineeringProblems = demolitionEngineeringProblems;
    }

    public String getOtherProblem() {
        return otherProblem;
    }

    public void setOtherProblem(String otherProblem) {
        this.otherProblem = otherProblem;
    }
}
