package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 储备项目交底信息汇总统计表
 * @author: 王强
 * @create: 2022-07-20 13:40
 **/
public class ReserveSummary extends DataEntity<ReserveSummary> {

    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String projectManager;          //项目经理
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String projectType;              //项目类型
    private String costEstimate;             //费用估算
    private String budgetPreparationStatus;  //预算编制状态
    private String budgetIncludesTax;        //预算含税
    private String budgetNotIncludesTax;     //预算不含税
    private String basicRemarks;             //备注
    private String reserveProgress;          //储备进度
    private String includeReserve;           //是否纳入储备
    private String majorProblemClassification;     //存在重大问题分类
    private String problemDescription;       //存在问题说明
    private String changePlan;               //是否可变更方案
    private String programChangeDescription; //方案变更说明
    private String administrativeDifficulty; //政处难度
    private String officeProgress;           //政处进度
    private String cancelConfirmationDepartment;   //取消确认部门
    private String truthRemark;              //储备项目交底信息-备注
    private String demandUnitPriority;       //需求单位优先级
    private String implementPlan;            //是否纳入实施计划
    private String initialImplementBatch;    //初定实施批次
    private String preliminaryConstructionUnit;    //初定施工单位
    private String preliminaryConstructionUnitProjectManager;    //初定施工单位项目经理
    private String handConstructionSketches; //是否移交施工草图

    /*private String openProcessStatus;       //开启流程状态 0-未开启 1-开启

    public String getOpenProcessStatus() {
        return openProcessStatus;
    }

    public void setOpenProcessStatus(String openProcessStatus) {
        this.openProcessStatus = openProcessStatus;
    }*/

    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getBudgetPreparationStatus() {
        return budgetPreparationStatus;
    }

    public void setBudgetPreparationStatus(String budgetPreparationStatus) {
        this.budgetPreparationStatus = budgetPreparationStatus;
    }

    public String getBudgetIncludesTax() {
        return budgetIncludesTax;
    }

    public void setBudgetIncludesTax(String budgetIncludesTax) {
        this.budgetIncludesTax = budgetIncludesTax;
    }

    public String getBudgetNotIncludesTax() {
        return budgetNotIncludesTax;
    }

    public void setBudgetNotIncludesTax(String budgetNotIncludesTax) {
        this.budgetNotIncludesTax = budgetNotIncludesTax;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getIncludeReserve() {
        return includeReserve;
    }

    public void setIncludeReserve(String includeReserve) {
        this.includeReserve = includeReserve;
    }

    public String getMajorProblemClassification() {
        return majorProblemClassification;
    }

    public void setMajorProblemClassification(String majorProblemClassification) {
        this.majorProblemClassification = majorProblemClassification;
    }

    public String getProblemDescription() {
        return problemDescription;
    }

    public void setProblemDescription(String problemDescription) {
        this.problemDescription = problemDescription;
    }

    public String getChangePlan() {
        return changePlan;
    }

    public void setChangePlan(String changePlan) {
        this.changePlan = changePlan;
    }

    public String getProgramChangeDescription() {
        return programChangeDescription;
    }

    public void setProgramChangeDescription(String programChangeDescription) {
        this.programChangeDescription = programChangeDescription;
    }

    public String getAdministrativeDifficulty() {
        return administrativeDifficulty;
    }

    public void setAdministrativeDifficulty(String administrativeDifficulty) {
        this.administrativeDifficulty = administrativeDifficulty;
    }

    public String getOfficeProgress() {
        return officeProgress;
    }

    public void setOfficeProgress(String officeProgress) {
        this.officeProgress = officeProgress;
    }

    public String getCancelConfirmationDepartment() {
        return cancelConfirmationDepartment;
    }

    public void setCancelConfirmationDepartment(String cancelConfirmationDepartment) {
        this.cancelConfirmationDepartment = cancelConfirmationDepartment;
    }

    public String getTruthRemark() {
        return truthRemark;
    }

    public void setTruthRemark(String truthRemark) {
        this.truthRemark = truthRemark;
    }

    public String getDemandUnitPriority() {
        return demandUnitPriority;
    }

    public void setDemandUnitPriority(String demandUnitPriority) {
        this.demandUnitPriority = demandUnitPriority;
    }

    public String getImplementPlan() {
        return implementPlan;
    }

    public void setImplementPlan(String implementPlan) {
        this.implementPlan = implementPlan;
    }

    public String getInitialImplementBatch() {
        return initialImplementBatch;
    }

    public void setInitialImplementBatch(String initialImplementBatch) {
        this.initialImplementBatch = initialImplementBatch;
    }

    public String getPreliminaryConstructionUnit() {
        return preliminaryConstructionUnit;
    }

    public void setPreliminaryConstructionUnit(String preliminaryConstructionUnit) {
        this.preliminaryConstructionUnit = preliminaryConstructionUnit;
    }

    public String getPreliminaryConstructionUnitProjectManager() {
        return preliminaryConstructionUnitProjectManager;
    }

    public void setPreliminaryConstructionUnitProjectManager(String preliminaryConstructionUnitProjectManager) {
        this.preliminaryConstructionUnitProjectManager = preliminaryConstructionUnitProjectManager;
    }

    public String getHandConstructionSketches() {
        return handConstructionSketches;
    }

    public void setHandConstructionSketches(String handConstructionSketches) {
        this.handConstructionSketches = handConstructionSketches;
    }
}
