package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.BudgetBook;

/**
 * 预算书审前审后数据 mapper
 * @author: 王强
 * @create: 2022-08-10 15:13
 **/
@MyBatisMapper
public interface BudgetBookMapper extends BaseMapper<BudgetBook> {

    /**
     * 根据 projectReserveId将相关的材料拆旧清册数据清空
     * @param projectReserveId
     */
    void deleteByProjectReserveId(String projectReserveId);
}
