package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.FeedBackBudget;

/**
 * 预算问题反馈记录 mapper
 * @author: 王强
 * @create: 2022-08-10 16:01
 **/
@MyBatisMapper
public interface FeedBackBudgetMapper extends BaseMapper<FeedBackBudget> {

    /**
     * 根据 projectReserveId将相关的材料拆旧清册数据清空
     * @param projectReserveId
     */
    void deleteByProjectReserveId(String projectReserveId);

    /**
     * 根据projectReserveId查询出相关的预算问题反馈记录
     * @param projectReserveId
     * @return
     */
    FeedBackBudget findByProjectReserveId(String projectReserveId);
}
