package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.MaterialSupply;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 在线开甲供材
 * @author: 王强
 * @create: 2022-08-12 16:58
 **/
@MyBatisMapper
public interface MaterialSupplyMapper extends BaseMapper<MaterialSupply> {

    /**
     * 插入对应的项目甲供材信息
     * */
    void insertList(@Param("list") List<MaterialSupply> list);

    /**
     * 根据 projectReserveId将相关的材料拆旧清册数据清空
     * @param projectReserveId
     */
    void deleteByProjectReserveId(String projectReserveId);
}
