<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>政策处理信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {
			$('#disclosureFinishDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
		});
		function save() {
			var isValidate = jp.validateForm('#inputForm');//校验表单
			if(!isValidate){
				return false;
			}else{
				/*jp.loading();
				jp.post("${ctx}/sg/managementCenter/reserveManagement/update",$('#inputForm').serialize(),function(data){
					if(data.success){
						jp.getParent().refresh();
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
						jp.success(data.msg)

					}else{
						jp.error(data.msg);
					}
				})*/
			}
		}
	</script>
</head>
<body class="bg-white">
<form:form id="inputForm" modelAttribute="reserveManagement" class="form-horizontal">
	<form:hidden path="id"/>
	<table class="table table-bordered">
		<tbody>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目年份：</label></td>
			<td class="width-35">
				<form:input path="projectYear" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目性质：</label></td>
			<td class="width-35">
				<form:input path="projectNature" htmlEscape="false" class="form-control"/>
			</td>

		</tr>
		<tr>
			<td class="width-15 active"><label class="">需求单位：</label></td>
			<td class="width-35">
				<form:input path="demandUnit" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">区域：</label></td>
			<td class="width-35">
				<form:input path="district" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目分组：</label></td>
			<td class="width-35">
				<form:input path="projectGroup" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">储备批次：</label></td>
			<td class="width-35">
				<form:input path="reserveBatches" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">供电区域：</label></td>
			<td class="width-35">
				<form:input path="blockSupply" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>网格编号：</label></td>
			<td class="width-35">
				<form:input path="gridNumber" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>单元格编号：</label></td>
			<td class="width-35">
				<form:input path="cellNumber" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目储备编号：</label></td>
			<td class="width-35">
				<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control required"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目名称：</label></td>
			<td class="width-35">
				<form:input path="projectName" htmlEscape="false"    class="form-control required"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>建设必要性及内容：</label></td>
			<td class="width-35">
				<form:input path="constructionNecessityAndContent" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">变电站名称：</label></td>
			<td class="width-35">
				<form:input path="substationName" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">线路名称：</label></td>
			<td class="width-35">
				<form:input path="circuitName" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">网架项目划分：</label></td>
			<td class="width-35">
				<form:input path="netRackProjectDivide" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">需求类型：</label></td>
			<td class="width-35">
				<form:input path="requirementType" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">费用估算：</label></td>
			<td class="width-35">
				<form:input path="costEstimate" htmlEscape="false"    class="form-control number money"/>
			</td>
			<td class="width-15 active"><label class="">备注：</label></td>
			<td class="width-35">
				<form:textarea path="basicRemarks" htmlEscape="false" rows="3" maxlength="200" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">储备进度：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">储备进度：</label></td>
			<td class="width-35">
				<form:input path="reserveProgress" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否纳入实施计划：</label></td>
			<td class="width-35">
				<form:input path="implementPlan" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">拟实施批次：</label></td>
			<td class="width-35">
				<form:input path="intendBatch" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">政处基本信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">供电所辖区：</label></td>
			<td class="width-35">
				<form:input path="powerSupplyArea" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">施工地点：</label></td>
			<td class="width-35">
				<form:input path="constructionSpot" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否含土建工作量：</label></td>
			<td class="width-35">
				<form:input path="includeCivilWork" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否含立杆工作量：</label></td>
			<td class="width-35">
				<form:input path="poleWorkload" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目经理：</label></td>
			<td class="width-35">
				<form:input path="projectManager" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">拟定施工单位：</label></td>
			<td class="width-35">
				<form:input path="proposedConstructionUnit" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否移交政处单位图纸：</label></td>
			<td class="width-35">
				<select id="overToGovernment" name="overToGovernment"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.overToGovernment=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.overToGovernment=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="overToGovernment" htmlEscape="false" class="form-control"/>--%>
			</td>
			<td class="width-15 active"><label class="">是否存在政处：</label></td>
			<td class="width-35">
				<select id="governmentOffice" name="governmentOffice"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.governmentOffice=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.governmentOffice=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="governmentOffice" htmlEscape="false" class="form-control"/>--%>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处描述：</label></td>
			<td class="width-35">
				<form:input path="officeDescription" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">政处难度：</label></td>
			<td class="width-35">
				<select id="administrativeDifficulty" name="administrativeDifficulty"  class="form-control">
					<option value="">请选择</option>
					<option value="无法解决" <c:if test="${reserveManagement.administrativeDifficulty=='无法解决'}">selected</c:if>>无法解决</option>
					<option value="难" <c:if test="${reserveManagement.administrativeDifficulty=='难'}">selected</c:if>>难</option>
					<option value="中" <c:if test="${reserveManagement.administrativeDifficulty=='中'}">selected</c:if>>中</option>
					<option value="易" <c:if test="${reserveManagement.administrativeDifficulty=='易'}">selected</c:if>>易</option>
				</select>
<%--				<form:input path="administrativeDifficulty" htmlEscape="false" class="form-control"/>--%>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">政处进度：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处对象数量：</label></td>
			<td class="width-35">
				<form:input path="administrativeObjectNumber" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">政处对象描述(产权单位)：</label></td>
			<td class="width-35">
				<form:input path="propertyUnitOfficeDescription" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处类型：</label></td>
			<td class="width-35">
				<form:input path="officeType" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">启动政处时间：</label></td>
			<td class="width-35">
				<form:input path="startOfficeTime" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否需规划报批：</label></td>
			<td class="width-35">
				<select id="planApprovalRequire" name="planApprovalRequire"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.planApprovalRequire=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.planApprovalRequire=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="planApprovalRequire" htmlEscape="false" class="form-control"/>--%>
			</td>
			<td class="width-15 active"><label class="">规划报批完成情况：</label></td>
			<td class="width-35">
				<select id="planApprovalCompletion" name="planApprovalCompletion"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.planApprovalCompletion=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.planApprovalCompletion=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="planApprovalCompletion" htmlEscape="false" class="form-control"/>--%>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否需办理安评航评手续：</label></td>
			<td class="width-35">
				<select id="safetyReview" name="safetyReview"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.safetyReview=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.safetyReview=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="safetyReview" htmlEscape="false" class="form-control"/>--%>
			</td>
			<td class="width-15 active"><label class="">安评完成情况：</label></td>
			<td class="width-35">
				<select id="safetyReviewCompletion" name="safetyReviewCompletion"  class="form-control">
					<option value="">请选择</option>
					<option value="未办理" <c:if test="${reserveManagement.safetyReviewCompletion=='未办理'}">selected</c:if>>未办理</option>
					<option value="办理中" <c:if test="${reserveManagement.safetyReviewCompletion=='办理中'}">selected</c:if>>办理中</option>
					<option value="已完成" <c:if test="${reserveManagement.safetyReviewCompletion=='已完成'}">selected</c:if>>已完成</option>
				</select>
<%--				<form:input path="safetyReviewCompletion" htmlEscape="false" class="form-control"/>--%>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处对象金额：</label></td>
			<td class="width-35">
				<form:input path="officeAmount" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否完成付款：</label></td>
			<td class="width-35">
				<select id="paymentCompleted" name="paymentCompleted"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.paymentCompleted=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.paymentCompleted=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="paymentCompleted" htmlEscape="false" class="form-control"/>--%>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处进度：</label></td>
			<td class="width-35">
				<select id="officeProgress" name="officeProgress"  class="form-control">
					<option value="">请选择</option>
					<option value="未开展" <c:if test="${reserveManagement.officeProgress=='未开展'}">selected</c:if>>未开展</option>
					<option value="洽谈中" <c:if test="${reserveManagement.officeProgress=='洽谈中'}">selected</c:if>>洽谈中</option>
					<option value="无政处" <c:if test="${reserveManagement.officeProgress=='无政处'}">selected</c:if>>无政处</option>
					<option value="本年度无法完成" <c:if test="${reserveManagement.officeProgress=='本年度无法完成'}">selected</c:if>>本年度无法完成</option>
					<option value="已完成" <c:if test="${reserveManagement.officeProgress=='已完成'}">selected</c:if>>已完成</option>
				</select>
<%--				<form:input path="officeProgress" htmlEscape="false" class="form-control"/>--%>
			</td>
			<td class="width-15 active"><label class="">是否允许土建进场：</label></td>
			<td class="width-35">
				<select id="civilEngineeringApproach" name="civilEngineeringApproach"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.civilEngineeringApproach=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.civilEngineeringApproach=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="civilEngineeringApproach" htmlEscape="false" class="form-control"/>--%>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否允许电气进场：</label></td>
			<td class="width-35">
				<select id="electricApproach" name="electricApproach"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.electricApproach=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.electricApproach=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="electricApproach" htmlEscape="false" class="form-control"/>--%>
			</td>
			<td class="width-15 active"><label class="">是否允许开土建领料单：</label></td>
			<td class="width-35">
				<select id="civilConstructionMaterialOpen" name="civilConstructionMaterialOpen"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.civilConstructionMaterialOpen=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.civilConstructionMaterialOpen=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="civilConstructionMaterialOpen" htmlEscape="false" class="form-control"/>--%>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否允许开电气领料单：</label></td>
			<td class="width-35">
				<select id="electricalPickListOpen" name="electricalPickListOpen"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.electricalPickListOpen=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.electricalPickListOpen=='否'}">selected</c:if>>否</option>
				</select>
<%--				<form:input path="electricalPickListOpen" htmlEscape="false" class="form-control"/>--%>
			</td>
			<td class="width-15 active"><label class="">政处进度-备注：</label></td>
			<td class="width-35">
				<form:input path="administrativeOfficeRemark" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		</tbody>
	</table>
</form:form>
</body>
</html>
