<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>修改带电作业信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
			var projectReserveId = $("#projectReserveId").val();
			var projectName = $("#projectName").val();
			var construct = $("#constructionNecessityAndContent").val();
			var jdYzh = $("#confessPrefab").val();
			var jdYzhVal = $("#confessPrefabDescription").val();

			var sjYzh = $("#designPrefab").val();
			var sjYzhVal = $("#designPrefabDescription").val();

			if (null==projectReserveId||""==projectReserveId){
				jp.error("请填写项目储备编号！");
			}else if(null==projectName||""==projectName){
				jp.error("请填写项目名称！");
			}else if (null==construct||""==construct){
				jp.error("请填写建设必要性及内容！")
			}else if ('是'==jdYzh&&''==jdYzhVal){
				jp.error("请填写交底预制化描述！")
			}else if ('是'==sjYzh&&""==sjYzhVal){
				jp.error("请填写设计预制化描述！")
			}


		    else {
                var isValidate = jp.validateForm('#inputForm');//校验表单
                if(!isValidate){
                    return false;
                }else{
                    jp.loading();
                    jp.post("${ctx}/cg/reservemanagementcenter/reservePreconstruct/update",$('#inputForm').serialize(),function(data){
                        if(data.success){
                            jp.getParent().refresh();
                            var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                            parent.layer.close(dialogIndex);
                            jp.success(data.msg)

                        }else{
                            jp.error(data.msg);
                        }
                    })
                }
			}
        }
	</script>
</head>
<body class="bg-white">
<form:form id="inputForm" modelAttribute="reserveManagement" class="form-horizontal">
	<form:hidden path="id"/>
	<table class="table table-bordered">
		<tbody>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目年份：</label></td>
			<td class="width-35">
				<form:input path="projectYear" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目性质：</label></td>
			<td class="width-35">
				<form:input path="projectNature" htmlEscape="false" class="form-control"/>
			</td>

		</tr>
		<tr>
			<td class="width-15 active"><label class="">需求单位：</label></td>
			<td class="width-35">
				<form:input path="demandUnit" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">区域：</label></td>
			<td class="width-35">
				<form:input path="district" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目分组：</label></td>
			<td class="width-35">
				<form:input path="projectGroup" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">储备批次：</label></td>
			<td class="width-35">
				<form:input path="reserveBatches" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">供电区域：</label></td>
			<td class="width-35">
				<form:input path="blockSupply" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>网格编号：</label></td>
			<td class="width-35">
				<form:input path="gridNumber" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>单元格编号：</label></td>
			<td class="width-35">
				<form:input path="cellNumber" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目储备编号：</label></td>
			<td class="width-35">
				<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control required"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目名称：</label></td>
			<td class="width-35">
				<form:input path="projectName" htmlEscape="false"    class="form-control required"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>建设必要性及内容：</label></td>
			<td class="width-35">
				<form:input path="constructionNecessityAndContent" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">变电站名称：</label></td>
			<td class="width-35">
				<form:input path="substationName" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">线路名称：</label></td>
			<td class="width-35">
				<form:input path="circuitName" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">网架项目划分：</label></td>
			<td class="width-35">
				<form:input path="netRackProjectDivide" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">需求类型：</label></td>
			<td class="width-35">
				<form:input path="requirementType" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">费用估算：</label></td>
			<td class="width-35">
				<form:input path="costEstimate" htmlEscape="false"    class="form-control number money"/>
			</td>
			<td class="width-15 active"><label class="">备注：</label></td>
			<td class="width-35">
				<form:textarea path="basicRemarks" htmlEscape="false" rows="3" maxlength="200" class="form-control"/>
			</td>
		</tr>

		<tr>
			<td class="width-15 active"><label class="">储备进度：</label></td>
			<td class="width-35">
				<form:input path="reserveProgress" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否纳入实施计划：</label></td>
			<td class="width-35">
				<form:input path="implementPlan" readonly="true" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">初定实施批次：</label></td>
			<td class="width-35">
				<form:input path="implementBatch" readonly="true" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">交底预制化信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否含新建土建基础/包封：</label></td>
			<td class="width-35">
				<select id="confessCivilFoundation" name="confessCivilFoundation"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.confessCivilFoundation=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.confessCivilFoundation=='否'}">selected</c:if>>否</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否预制化：</label></td>
			<td class="width-35">
				<select id="confessPrefab" name="confessPrefab"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.confessPrefab=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.confessPrefab=='否'}">selected</c:if>>否</option>
					<option value="部分" <c:if test="${reserveManagement.confessPrefab=='部分'}">selected</c:if>>部分</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">预制化描述：</label></td>
			<td class="width-35">
				<form:input path="confessPrefabDescription" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">设计预制化信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否含新建土建基础/包封：</label></td>
			<td class="width-35">
				<select id="designCivilFoundation" name="designCivilFoundation"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.designCivilFoundation=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.designCivilFoundation=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否预制化：</label></td>
			<td class="width-35">
				<select id="designPrefab" name="designPrefab"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.designPrefab=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.designPrefab=='否'}">selected</c:if>>否</option>
					<option value="部分" <c:if test="${reserveManagement.designPrefab=='部分'}">selected</c:if>>部分</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">预制化描述：</label></td>
			<td class="width-35">
				<form:input path="designPrefabDescription" htmlEscape="false" class="form-control"/>
			</td>
		</tr>

		</tbody>
	</table>
</form:form>
</body>
</html>
