<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>设计单位上传预算书</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {
			$('#disclosureFinishDate').datetimepicker({
				format: "YYYY-MM-DD"
			});

			$("#agree").click(function () {
				jp.prompt("通过", function (message) {
					var budgetStatement = $("input[name='budgetStatement']").val();
					var projectProposal = $("input[name='projectProposal']").val();
					var drawings = $("input[name='drawings']").val();
					var demolition = $("input[name='demolition']").val();
					var drawingSpecification = $("input[name='drawingSpecification']").val();
					var projectReserveId = $("#projectReserveId").val();
					var projectName = $("#projectName").val();
					console.log(drawings)

					if (drawings == ""
							|| drawings == undefined
							|| drawings == 'undefined'
							|| budgetStatement == ""
							|| budgetStatement == undefined
							|| budgetStatement == 'undefined'
							|| projectProposal == ""
							|| projectProposal == undefined
							|| projectProposal == 'undefined'
							|| demolition == ""
							|| demolition == undefined
							|| demolition == 'undefined'
							|| drawingSpecification == ""
							|| drawingSpecification == undefined
							|| drawingSpecification == 'undefined') {
						jp.error("不能为空");
					} else {
						jp.post("${ctx}/cg/reservemanagementcenter/process/actDesignUnit",
								{
									"taskId": "${reserveProcess.act.taskId}",
									"taskName": "${reserveProcess.act.taskName}",
									"taskDefKey": "${reserveProcess.act.taskDefKey}",
									"procInsId": "${reserveProcess.act.procInsId}",
									"procDefId": "${reserveProcess.act.procDefId}",
									"flag": "yes",
									"projectReserveId":projectReserveId,
									"projectName":projectName,
									"drawings":drawings,
									"projectProposal":projectProposal,
									"drawingSpecification":drawingSpecification,
									"budgetStatement":budgetStatement,
									"demolition":demolition,
									"comment": window.encodeURI(message)
								},
								function (data) {
									if (data.success) {
										jp.success(data.msg);
										jp.go("${ctx}/act/task/todo");
									} else {
										jp.error(data.msg);
									}
								}
						);
					}


				})
			});
			$("#no").click(function () {
				jp.prompt("取消流程", function (message) {
					var projectReserveId = $("#projectReserveId").val();
					jp.post("${ctx}/cg/reservemanagementcenter/process/actDesignUnit",{
								"taskId": "${reserveProcess.act.taskId}",
								"taskName": "${reserveProcess.act.taskName}",
								"taskDefKey": "${reserveProcess.act.taskDefKey}",
								"procInsId": "${reserveProcess.act.procInsId}",
								"procDefId": "${reserveProcess.act.procDefId}",
								"flag": "no",
								"projectReserveId":projectReserveId,
								"comment": window.encodeURI(message)
							},
							function (data) {
								if (data.success) {
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							}
					)
				})
			});

			/*$("#moreImport").click(function(){
				jp.open({
					type: 2,
					area: [800, 400],
					auto: true,
					title:"导入数据",
					content: "${ctx}/managementcenter/materialinfo/importMore/Process" ,
					btn: ['确定', '关闭'],
					btn1: function(index, layero){
						var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/cg/reservemanagementcenter/process/importCGValidations', function (data) {
							if(data.success){
								jp.success(data.msg);
								jp.close(index);
							}else{
								jp.error(data.msg);
							}
						});//调用保存事件
						return false;
					},

					btn2: function(index){
						jp.close(index);
					}
				});
			});
			$("#onLine").click(function(){
				jp.open({
					type: 2,
					area: [1000, 600],
					auto: true,
					title:"在线开甲供材",
					content: "${ctx}/raiseCapital/list" ,
					btn: ['确定', '关闭'],
					btn1: function(index, layero){
						var body = top.layer.getChildFrame('body',index);
						var inputForm = body.find('#informationTable');
						console.log('测试')
						console.log(inputForm)
					},

					btn2: function(index){
						jp.close(index);
					}
				});
			});*/

		});
	</script>
</head>
<body class="bg-white">
	<div class="wrapper wrapper-content">
		<div class="row">
			<div class="col-md-12">
				<div class="panel panel-primary">
					<div class="panel-heading">
						<h3 class="panel-title">
							<h3 class="panel-title">设计单位上传预算书</h3>
						</h3>
					</div>
					<div class="panel-body">
						<form:form id="inputForm" modelAttribute="reserveProcess" class="form-horizontal">
							<form:hidden path="id"/>
							<form:hidden path="act.taskId"/>
							<form:hidden path="act.taskName"/>
							<form:hidden path="act.taskDefKey"/>
							<form:hidden path="act.procInsId"/>
							<form:hidden path="act.procDefId"/>
							<form:hidden id="flag" path="act.flag"/>
							<table class="table table-bordered">
								<tbody>
								<tr>
									<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目年份：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.projectYear" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目性质：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.projectNature" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">需求单位：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.demandUnit" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">区域：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.district" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目分组：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.projectGroup" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">储备批次：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.reserveBatches" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">供电区域：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.blockSupply" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">网格编号：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.gridNumber" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">单元格编号：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.cellNumber" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目储备编号：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.projectReserveId" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目储备编号：</label></td>
									<td class="width-35">
										<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目名称：</label></td>
									<td class="width-35">
										<form:input path="projectName" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">建设必要性及内容：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.constructionNecessityAndContent" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">变电站名称：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.substationName" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">线路名称：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.circuitName" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">网架项目划分：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.netRackProjectDivide" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">需求类型：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.requirementType" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
									<td class="width-15 active"><label class="">费用估算：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.costEstimate" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">备注：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.basicRemarks" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
								</tr>
								<tr>
									<td colspan="4" class="width-15 active"><label class="">设计资料：</label></td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">预算书：</label></td>
									<td class="width-35">
										<sys:fileUpload path="budgetStatement"  value="${reserveProcess.budgetStatement}" type="*" uploadPath="/personnelTurnover"  readonly="false"/>
									</td>
									<td class="width-15 active"><label class="">项目建议书：</label></td>
									<td class="width-35">
										<sys:fileUpload path="projectProposal"  value="${reserveProcess.projectProposal}" type="*" uploadPath="/personnelTurnover"  readonly="false"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">施工图纸：</label></td>
									<td class="width-35">
										<sys:fileUpload path="drawings"  value="${reserveProcess.drawings}" type="*" uploadPath="/personnelTurnover"  readonly="true"/>
									</td>
									<td class="width-15 active"><label class="">施工图设计说明书：</label></td>
									<td class="width-35">
										<sys:fileUpload path="drawingSpecification"  value="${reserveProcess.drawingSpecification}" type="*" uploadPath="/personnelTurnover"  readonly="false"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">甲供材清册：</label></td>
									<td class="width-35">
										<a id="moreImport" class="btn btn-info">
											<i class="fa fa-file-excel-o"></i> 多文件导入
										</a>
										<a id="onLine" class="btn btn-info">
											<i class="fa fa-file-excel-o"></i> 在线开甲供材
										</a>
									</td>
									<td class="width-15 active"><label class="">拆旧清册：</label></td>
									<td class="width-35">
										<sys:fileUpload path="demolition"  value="${reserveProcess.demolition}" type="*" uploadPath="/personnelTurnover"  readonly="false"/>
									</td>
								</tr>
								</tbody>
							</table>
						</form:form>

						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="通过"/>&nbsp;
								</div>
							</div>
						</div>

						<c:if test="${not empty reserveProcess.id}">
							<act:flowChart procInsId="${reserveProcess.act.procInsId}"/>
							<act:histoicFlow procInsId="${reserveProcess.act.procInsId}" />
						</c:if>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>
</html>
