<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>新增政策处理信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
		    var projectReserveId = $("#projectReserveId").val();
		    var projectName = $("#projectName").val();
		    var construct = $("#constructionNecessityAndContent").val();


		    if (null==projectReserveId||""==projectReserveId){
                jp.error("请填写项目储备编号！");
			}else if(null==projectName||""==projectName){
				jp.error("请填写项目名称！");
			}else if (null==construct||""==construct){
		    	jp.error("请填写建设必要性及内容！")
			}


		    else {
                var isValidate = jp.validateForm('#inputForm');//校验表单
                if(!isValidate){
                    return false;
                }else{
                    jp.loading();
                    jp.post("${ctx}/cg/reservemanagementcenter/reservePreconstruct/save",$('#inputForm').serialize(),function(data){
                        if(data.success){
                            jp.getParent().refresh();
                            var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                            parent.layer.close(dialogIndex);
                            jp.success(data.msg)

                        }else{
                            jp.error(data.msg);
                        }
                    })
                }
			}
        }
	</script>
</head>
<body class="bg-white">
<form:form id="inputForm" modelAttribute="reserveManagement" class="form-horizontal">
	<form:hidden path="id"/>
	<table class="table table-bordered">
		<tbody>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目年份：</label></td>
			<td class="width-35">
				<form:input path="projectYear" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目性质：</label></td>
			<td class="width-35">
				<form:input path="projectNature" htmlEscape="false" class="form-control"/>
			</td>

		</tr>
		<tr>
			<td class="width-15 active"><label class="">需求单位：</label></td>
			<td class="width-35">
				<form:input path="demandUnit" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">区域：</label></td>
			<td class="width-35">
				<form:input path="district" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目分组：</label></td>
			<td class="width-35">
				<form:input path="projectGroup" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目经理：</label></td>
			<td class="width-35">
				<form:input path="projectManager" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">储备批次：</label></td>
			<td class="width-35">
				<form:input path="reserveBatches" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">供电区域：</label></td>
			<td class="width-35">
				<form:input path="blockSupply" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>网格编号：</label></td>
			<td class="width-35">
				<form:input path="gridNumber" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>单元格编号：</label></td>
			<td class="width-35">
				<form:input path="cellNumber" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目储备编号：</label></td>
			<td class="width-35">
				<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control required"/>
			</td>
		</tr>

		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目名称：</label></td>
			<td class="width-35">
				<form:input path="projectName" htmlEscape="false"    class="form-control required"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>建设必要性及内容：</label></td>
			<td class="width-35">
				<form:input path="constructionNecessityAndContent" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">变电站名称：</label></td>
			<td class="width-35">
				<form:input path="substationName" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">线路名称：</label></td>
			<td class="width-35">
				<form:input path="circuitName" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">网架项目划分：</label></td>
			<td class="width-35">
				<form:input path="netRackProjectDivide" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">需求类型：</label></td>
			<td class="width-35">
				<form:input path="requirementType" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目类型：</label></td>
			<td class="width-35">
				<form:input path="projectType" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">费用估算：</label></td>
			<td class="width-35">
				<form:input path="costEstimate" htmlEscape="false" class="form-control number money"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">预算编制状态：</label></td>
			<td class="width-35">
				<form:input path="budgetPreparationStatus" htmlEscape="false" class="form-control number money"/>
			</td>
			<td class="width-15 active"><label class="">预算含税：</label></td>
			<td class="width-35">
				<form:input path="budgetIncludesTax" htmlEscape="false" class="form-control number money"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">预算不含税：</label></td>
			<td class="width-35">
				<form:input path="budgetNotIncludesTax" htmlEscape="false" class="form-control number money"/>
			</td>
			<td class="width-15 active"><label class="">备注：</label></td>
			<td class="width-35">
				<form:textarea path="basicRemarks" htmlEscape="false" rows="3" maxlength="200" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">储备项目交底信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">储备进度：</label></td>
			<td class="width-35">
				<form:input path="reserveProgress" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否纳入实施计划：</label></td>
			<td class="width-35">
				<form:input path="includeReserve" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">存在重大问题分类：</label></td>
			<td class="width-35">
				<form:input path="majorProblemClassification" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">存在问题说明：</label></td>
			<td class="width-35">
				<form:input path="problemDescription" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否可变更方案：</label></td>
			<td class="width-35">
				<form:input path="changePlan" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">方案变更说明：</label></td>
			<td class="width-35">
				<form:input path="programChangeDescription" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处难度：</label></td>
			<td class="width-35">
				<form:input path="administrativeDifficulty" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">政处进度：</label></td>
			<td class="width-35">
				<form:input path="officeProgress" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">取消确认部门：</label></td>
			<td class="width-35">
				<form:input path="cancelConfirmationDepartment" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">储备项目交底信息-备注：</label></td>
			<td class="width-35">
				<form:input path="truthRemark" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">需求单位优先级：</label></td>
			<td class="width-35">
				<form:input path="demandUnitPriority" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否纳入实施计划：</label></td>
			<td class="width-35">
				<form:input path="implementPlan" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">初定实施批次：</label></td>
			<td class="width-35">
				<form:input path="initialImplementBatch" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">初定施工单位：</label></td>
			<td class="width-35">
				<form:input path="preliminaryConstructionUnit" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">初定施工单位项目经理：</label></td>
			<td class="width-35">
				<form:input path="preliminaryConstructionUnitProjectManager" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否移交施工草图：</label></td>
			<td class="width-35">
				<form:input path="handConstructionSketches" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		</tbody>
	</table>
</form:form>
</body>
</html>
