<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目储备信息</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="budgetStats.js" %>
	<style type="text/css">
		.table {
			table-layout: fixed;
			word-break: break-all;
			word-wrap: break-word;
			text-align: center;
		}
		.table th, .table td {
			text-align: center;
			vertical-align: middle !important;
		}
	</style>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">项目储备信息</h3>
	</div>
	<div class="panel-body">
		<!-- 搜索 -->
		<div id="search-collapse" class="collapse">
			<div class="accordion-inner">
				<form:form id="searchForm" modelAttribute="budgetStats" class="form form-horizontal well clearfix">
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="储备编码：">储备编码：</label>
						<form:input path="projectReserveId" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="项目名称：">项目名称：</label>
						<form:input path="projectName" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<div style="margin-top:26px">
							<a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
							<a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
						</div>
					</div>
				</form:form>
			</div>
		</div>

	<!-- 工具栏 -->
	<div id="toolbar">
			<%--<shiro:hasPermission name="cg:reservemanagementcenter:reserveManage:add">
				<button id="add" class="btn btn-primary" onclick="add()">
					<i class="glyphicon glyphicon-plus"></i> 新增
				</button>
			</shiro:hasPermission>
			<shiro:hasPermission name="cg:reservemanagementcenter:reserveManage:edit">
				<button id="edit" class="btn btn-primary" onclick="edit()">
					<i class="glyphicon glyphicon-edit"></i> 修改 <!--专职修改-->
				</button>
			</shiro:hasPermission>
			<shiro:hasPermission name="sg:managementcenter:reserveManagement:jlEdit">
				<button id="jlEdit" class="btn btn-primary" onclick="jlEdit()">
					<i class="glyphicon glyphicon-edit"></i> 修改 <!--经理修改-->
				</button>
			</shiro:hasPermission>
			<shiro:hasPermission name="cg:reservemanagementcenter:reserveManage:del">
				<button id="remove" class="btn btn-danger" onclick="deleteAll()">
					<i class="glyphicon glyphicon-remove"></i> 删除
				</button>
			</shiro:hasPermission>--%>
			<shiro:hasPermission name="cg:reservemanagementcenter:budgetStats:del">
				<button id="remove" class="btn btn-danger" onclick="deleteAll()">
					<i class="glyphicon glyphicon-remove"></i> 删除
				</button>
			</shiro:hasPermission>
			<shiro:hasPermission name="cg:reservemanagementcenter:budgetStats:import">
				<button id="btnImport" class="btn btn-info">
					<i class="fa fa-folder-open-o"></i> 导入
				</button>
			</shiro:hasPermission>
			<%--<shiro:hasPermission name="sg:managementcenter:reserveManagement:jlImport">
				<button id="jlImport" class="btn btn-info">
					<i class="fa fa-folder-open-o"></i> 导入  <!--经理导入-->
				</button>
			</shiro:hasPermission>--%>
			<shiro:hasPermission name="cg:reservemanagementcenter:budgetStats:export">
				<button id="btnExport" class="btn btn-warning">
					<i class="fa fa-file-excel-o"></i> 导出
				</button>
			</shiro:hasPermission>
	</div>
	<!-- 表格 -->
	<table id="projectTable" style="table-layout:fixed" class="table" data-toolbar="#toolbar"></table>

	</div>
	</div>
	</div>
</body>
</html>
