package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 预算书审前审后数据
 * @author: 王强
 * @create: 2022-08-10 10:39
 **/
public class BudgetBook extends DataEntity<BudgetBook> {

    private String projectReserveId;                        //项目储备编号
    private String pretrialBudgetTaxInclude;                //审前概算（含税）
    private String pretrialBudgetTaxNoInclude;              //审前概算（不含税）
    private String pretrialSupervisionFeeTaxNoInclude;      //审前监理费（不含税）
    private String pretrialDesignFeeTaxNoInclude;           //审前设计费（不含税）
    private String afterTrialBudgetTaxInclude;              //审后概算（含税）
    private String afterTrialBudgetTaxNoInclude;            //审后概算（不含税）
    private String afterTrialSupervisionFeeTaxNoInclude;    //审后监理费（不含税）
    private String afterTrialDesignFeeTaxNoInclude;         //审后设计费（不含税）

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getPretrialBudgetTaxInclude() {
        return pretrialBudgetTaxInclude;
    }

    public void setPretrialBudgetTaxInclude(String pretrialBudgetTaxInclude) {
        this.pretrialBudgetTaxInclude = pretrialBudgetTaxInclude;
    }

    public String getPretrialBudgetTaxNoInclude() {
        return pretrialBudgetTaxNoInclude;
    }

    public void setPretrialBudgetTaxNoInclude(String pretrialBudgetTaxNoInclude) {
        this.pretrialBudgetTaxNoInclude = pretrialBudgetTaxNoInclude;
    }

    public String getPretrialSupervisionFeeTaxNoInclude() {
        return pretrialSupervisionFeeTaxNoInclude;
    }

    public void setPretrialSupervisionFeeTaxNoInclude(String pretrialSupervisionFeeTaxNoInclude) {
        this.pretrialSupervisionFeeTaxNoInclude = pretrialSupervisionFeeTaxNoInclude;
    }

    public String getPretrialDesignFeeTaxNoInclude() {
        return pretrialDesignFeeTaxNoInclude;
    }

    public void setPretrialDesignFeeTaxNoInclude(String pretrialDesignFeeTaxNoInclude) {
        this.pretrialDesignFeeTaxNoInclude = pretrialDesignFeeTaxNoInclude;
    }

    public String getAfterTrialBudgetTaxInclude() {
        return afterTrialBudgetTaxInclude;
    }

    public void setAfterTrialBudgetTaxInclude(String afterTrialBudgetTaxInclude) {
        this.afterTrialBudgetTaxInclude = afterTrialBudgetTaxInclude;
    }

    public String getAfterTrialBudgetTaxNoInclude() {
        return afterTrialBudgetTaxNoInclude;
    }

    public void setAfterTrialBudgetTaxNoInclude(String afterTrialBudgetTaxNoInclude) {
        this.afterTrialBudgetTaxNoInclude = afterTrialBudgetTaxNoInclude;
    }

    public String getAfterTrialSupervisionFeeTaxNoInclude() {
        return afterTrialSupervisionFeeTaxNoInclude;
    }

    public void setAfterTrialSupervisionFeeTaxNoInclude(String afterTrialSupervisionFeeTaxNoInclude) {
        this.afterTrialSupervisionFeeTaxNoInclude = afterTrialSupervisionFeeTaxNoInclude;
    }

    public String getAfterTrialDesignFeeTaxNoInclude() {
        return afterTrialDesignFeeTaxNoInclude;
    }

    public void setAfterTrialDesignFeeTaxNoInclude(String afterTrialDesignFeeTaxNoInclude) {
        this.afterTrialDesignFeeTaxNoInclude = afterTrialDesignFeeTaxNoInclude;
    }
}
