package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.Demolite;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 拆旧材料清册 mapper
 * @author: 王强
 * @create: 2022-08-04 17:18
 **/
@MyBatisMapper
public interface DemoliteMapper extends BaseMapper<Demolite> {

    /**
     * 插入对应的项目甲供材信息
     * */
    void insertList(@Param("list") List<Demolite> list);

    /**
     * 根据 projectReserveId将相关的材料拆旧清册数据清空
     * @param projectReserveId
     */
    void deleteByProjectReserveId(String projectReserveId);
}
