package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 特殊物资统计
 * @author: 王强
 * @create: 2022-08-16 09:57
 **/
public class SpecialSupply extends DataEntity<SpecialSupply> {

    //储备项目基本信息
    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String projectType;              //项目类型
    private String costEstimate;             //费用估算
    private String basicRemarks;             //备注
    //其他
    private String reserveProgress;                 //储备进度
    private String implementPlan;                   //是否纳入实施计划
    private String implementBatch;                  //初定实施批次
    private String materialStatisticA;              //20kV物资统计-A物资
    private String materialStatisticB;              //20kV物资统计-B物资
    private String materialStatisticC;              //20kV物资统计-C物资
    private String materialStatisticD;              //20kV物资统计-D物资
    private String switchCabinet10KV;               //环网柜,AC10kV,630A,负荷开关柜,SF6,户内
    private String switchCabinet10KV02;             //环网柜,AC10kV,630A,负荷开关柜,SF6,户内
    private String switchCabinetIncomeLine;         //低压开关柜,AC380V,抽屉式,进线,2500A,65kA
    private String switchCabinetSegment;            //低压开关柜,AC380V,抽屉式,分段,2500A,65kA
    private String switchCabinetFeeder;             //低压开关柜,AC380V,抽屉式,馈线,2500A,50kA
    private String numberOfBranchBoxFourWay;        //电缆分支箱,AC400V,塑壳断路器,四路,400A
    private String numberOfBranchBoxFiveWay;        //电缆分支箱,AC400V,塑壳断路器,五路,630A
    private String numberOfBranchBoxSevenWay;       //电缆分支箱,AC400V,塑壳断路器,七路,630A
    private String numberOfBox;                     //箱变路数
    private String specialSizeA;                    //特殊尺寸物资统计-特殊物资A
    private String specialSizeB;                    //特殊尺寸物资统计-特殊物资B
    private String specialSizeC;                    //特殊尺寸物资统计-特殊物资C
    private String specialSizeD;                    //特殊尺寸物资统计-特殊物资D

    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getImplementPlan() {
        return implementPlan;
    }

    public void setImplementPlan(String implementPlan) {
        this.implementPlan = implementPlan;
    }

    public String getImplementBatch() {
        return implementBatch;
    }

    public void setImplementBatch(String implementBatch) {
        this.implementBatch = implementBatch;
    }

    public String getMaterialStatisticA() {
        return materialStatisticA;
    }

    public void setMaterialStatisticA(String materialStatisticA) {
        this.materialStatisticA = materialStatisticA;
    }

    public String getMaterialStatisticB() {
        return materialStatisticB;
    }

    public void setMaterialStatisticB(String materialStatisticB) {
        this.materialStatisticB = materialStatisticB;
    }

    public String getMaterialStatisticC() {
        return materialStatisticC;
    }

    public void setMaterialStatisticC(String materialStatisticC) {
        this.materialStatisticC = materialStatisticC;
    }

    public String getMaterialStatisticD() {
        return materialStatisticD;
    }

    public void setMaterialStatisticD(String materialStatisticD) {
        this.materialStatisticD = materialStatisticD;
    }

    public String getSwitchCabinet10KV() {
        return switchCabinet10KV;
    }

    public void setSwitchCabinet10KV(String switchCabinet10KV) {
        this.switchCabinet10KV = switchCabinet10KV;
    }

    public String getSwitchCabinet10KV02() {
        return switchCabinet10KV02;
    }

    public void setSwitchCabinet10KV02(String switchCabinet10KV02) {
        this.switchCabinet10KV02 = switchCabinet10KV02;
    }

    public String getSwitchCabinetIncomeLine() {
        return switchCabinetIncomeLine;
    }

    public void setSwitchCabinetIncomeLine(String switchCabinetIncomeLine) {
        this.switchCabinetIncomeLine = switchCabinetIncomeLine;
    }

    public String getSwitchCabinetSegment() {
        return switchCabinetSegment;
    }

    public void setSwitchCabinetSegment(String switchCabinetSegment) {
        this.switchCabinetSegment = switchCabinetSegment;
    }

    public String getSwitchCabinetFeeder() {
        return switchCabinetFeeder;
    }

    public void setSwitchCabinetFeeder(String switchCabinetFeeder) {
        this.switchCabinetFeeder = switchCabinetFeeder;
    }

    public String getNumberOfBranchBoxFourWay() {
        return numberOfBranchBoxFourWay;
    }

    public void setNumberOfBranchBoxFourWay(String numberOfBranchBoxFourWay) {
        this.numberOfBranchBoxFourWay = numberOfBranchBoxFourWay;
    }

    public String getNumberOfBranchBoxFiveWay() {
        return numberOfBranchBoxFiveWay;
    }

    public void setNumberOfBranchBoxFiveWay(String numberOfBranchBoxFiveWay) {
        this.numberOfBranchBoxFiveWay = numberOfBranchBoxFiveWay;
    }

    public String getNumberOfBranchBoxSevenWay() {
        return numberOfBranchBoxSevenWay;
    }

    public void setNumberOfBranchBoxSevenWay(String numberOfBranchBoxSevenWay) {
        this.numberOfBranchBoxSevenWay = numberOfBranchBoxSevenWay;
    }

    public String getNumberOfBox() {
        return numberOfBox;
    }

    public void setNumberOfBox(String numberOfBox) {
        this.numberOfBox = numberOfBox;
    }

    public String getSpecialSizeA() {
        return specialSizeA;
    }

    public void setSpecialSizeA(String specialSizeA) {
        this.specialSizeA = specialSizeA;
    }

    public String getSpecialSizeB() {
        return specialSizeB;
    }

    public void setSpecialSizeB(String specialSizeB) {
        this.specialSizeB = specialSizeB;
    }

    public String getSpecialSizeC() {
        return specialSizeC;
    }

    public void setSpecialSizeC(String specialSizeC) {
        this.specialSizeC = specialSizeC;
    }

    public String getSpecialSizeD() {
        return specialSizeD;
    }

    public void setSpecialSizeD(String specialSizeD) {
        this.specialSizeD = specialSizeD;
    }
}
