package com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.constant;

public enum AreaCodeFlagEnum {

    //HLA2-市公司 HLD1-扬中 HLB1-丹阳 句容-HLC1 未知地区-NO_PLACE
    HLA2("市公司",0,"HLA2"),HLD1("扬中",1,"HLD1"),HLB1("丹阳",2,"HLB1"),HLC1("句容",3,"HLC1"),NO_PLACE("未知地区",4,"NO_PLACE");

    private final String area;
    private final Integer num;
    private final String code;
    private AreaCodeFlagEnum(String area, int num, String code) {
        this.num = num;
        this.area = area;
        this.code = code;
    }

    public String getArea() {
        return area;
    }

    public Integer getNum() {
        return num;
    }

    public String getCode() {
        return code;
    }
}
