<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>新增带电作业信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
		    var projectReserveId = $("#projectReserveId").val();
		    var projectName = $("#projectName").val();
		    var construct = $("#constructionNecessityAndContent").val();
		    var dianWork = $("#workWithElectricity").val();
		    var dianWorkType = $("#electricityTypeNumber").val();
		    var dianWorkCount = $("#electricityWorkNumber").val();
		    var noDianWork = $("#noStopWorkPlan").val();
		    var faPlanner = $("#planner").val();
		    var xcSiteSurveyor = $("#siteSurveyor").val();

		    if (null==projectReserveId||""==projectReserveId){
                jp.error("请填写项目储备编号！");
			}else if(null==projectName||""==projectName){
				jp.error("请填写项目名称！");
			}else if (null==construct||""==construct){
		    	jp.error("请填写建设必要性及内容！")
			}else if (null==dianWork||""==dianWork){
				jp.error("请填写是否带电作业！")
			}else if (dianWork=='是'){
				if (null==dianWorkType||dianWorkType==''){
					jp.error("请选择带电作业类型编号！")
				}else if (null==dianWorkCount||dianWorkCount==''){
					jp.error("请填写带电作业次数！")
				}else if (null==noDianWork||noDianWork==""){
					jp.error("请填写不停电作业方案！")
				}
			}else if (null==faPlanner||faPlanner==''){
				jp.error("请填写方案编制人！")
			}else if (null==xcSiteSurveyor||xcSiteSurveyor==''){
				jp.error("请填写现场查勘人！")
			}


		    else {
                var isValidate = jp.validateForm('#inputForm');//校验表单
                if(!isValidate){
                    return false;
                }else{
                    jp.loading();
                    jp.post("${ctx}/cg/reservemanagementcenter/reserveElectricityWork/save",$('#inputForm').serialize(),function(data){
                        if(data.success){
                            jp.getParent().refresh();
                            var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                            parent.layer.close(dialogIndex);
                            jp.success(data.msg)

                        }else{
                            jp.error(data.msg);
                        }
                    })
                }
			}
        }
	</script>
</head>
<body class="bg-white">
<form:form id="inputForm" modelAttribute="reserveManagement" class="form-horizontal">
	<form:hidden path="id"/>
	<table class="table table-bordered">
		<tbody>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目年份：</label></td>
			<td class="width-35">
				<form:input path="projectYear" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目性质：</label></td>
			<td class="width-35">
				<form:input path="projectNature" htmlEscape="false" class="form-control"/>
			</td>

		</tr>
		<tr>
			<td class="width-15 active"><label class="">需求单位：</label></td>
			<td class="width-35">
				<form:input path="demandUnit" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">区域：</label></td>
			<td class="width-35">
				<form:input path="district" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目分组：</label></td>
			<td class="width-35">
				<form:input path="projectGroup" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">储备批次：</label></td>
			<td class="width-35">
				<form:input path="reserveBatches" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">供电区域：</label></td>
			<td class="width-35">
				<form:input path="blockSupply" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>网格编号：</label></td>
			<td class="width-35">
				<form:input path="gridNumber" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>单元格编号：</label></td>
			<td class="width-35">
				<form:input path="cellNumber" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目储备编号：</label></td>
			<td class="width-35">
				<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control required"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目名称：</label></td>
			<td class="width-35">
				<form:input path="projectName" htmlEscape="false"    class="form-control required"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>建设必要性及内容：</label></td>
			<td class="width-35">
				<form:input path="constructionNecessityAndContent" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">变电站名称：</label></td>
			<td class="width-35">
				<form:input path="substationName" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">线路名称：</label></td>
			<td class="width-35">
				<form:input path="circuitName" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">网架项目划分：</label></td>
			<td class="width-35">
				<form:input path="netRackProjectDivide" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">需求类型：</label></td>
			<td class="width-35">
				<form:input path="requirementType" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">费用估算：</label></td>
			<td class="width-35">
				<form:input path="costEstimate" htmlEscape="false"    class="form-control number money"/>
			</td>
			<td class="width-15 active"><label class="">备注：</label></td>
			<td class="width-35">
				<form:textarea path="basicRemarks" htmlEscape="false" rows="3" maxlength="200" class="form-control"/>
			</td>
		</tr>

		<tr>
			<td colspan="4" class="width-15 active"><label class="">带电作业信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">储备进度：</label></td>
			<td class="width-35">
				<form:input path="reserveProgress" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否纳入实施计划：</label></td>
			<td class="width-35">
				<form:input path="implementPlan" readonly="true" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">初定实施批次：</label></td>
			<td class="width-35">
				<form:input path="implementBatch" readonly="true" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">是否变压器或打包项目：</label></td>
			<td class="width-35">
				<form:input path="teansFormerOrPackageProject" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否打包项目：</label></td>
			<td class="width-35">
				<form:input path="packageProject" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">打包项目设备数量：</label></td>
			<td class="width-35">
				<form:input path="packageItemQuantity" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">设备名称：</label></td>
			<td class="width-35">
				<form:input path="deviceName" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>是否带电作业：</label></td>
			<td class="width-35">
				<select id="workWithElectricity" name="workWithElectricity"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.workWithElectricity=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.workWithElectricity=='否'}">selected</c:if>>否</option>
				</select>
					<%--				<form:input path="workWithElectricity" htmlEscape="false" class="form-control"/>--%>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">带电作业类型编号：</label></td>
			<td class="width-35">
				<form:select path="electricityTypeNumber" class="form-control m-b">--%>
					<form:option value="" label="请选择"/>
					<form:options items="${fns:getDictList('electricityType')}" itemLabel="label" itemValue="value"
								  htmlEscape="false"/>
				</form:select>
			</td>
			<td class="width-15 active"><label class="">带电作业次数：</label></td>
			<td class="width-35">
				<form:input path="electricityWorkNumber" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">不停电作业方案：</label></td>
			<td class="width-35">
				<form:input path="noStopWorkPlan" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">无法不停电作业原因：</label></td>
			<td class="width-35">
				<form:input path="reasonsForNotWorkInterruption" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">停电作业方案：</label></td>
			<td class="width-35">
				<form:input path="powerOutagePlan" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>方案编制人：</label></td>
			<td class="width-35">
				<form:input path="planner" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>现场查勘人：</label></td>
			<td class="width-35">
				<form:input path="siteSurveyor" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		</tbody>
	</table>
</form:form>
</body>
</html>
