<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>修改项目储备基本信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
		    var projectReserveId = $("#projectReserveId").val();
		    var projectName = $("#projectName").val();
		    var construct = $("#constructionNecessityAndContent").val();
		    var requester = $("#requester").val();
		    var owner = $("#ownerReserveFullTime").val();
		    var ownerDistribut = $("#ownerDistributionNerworkFullTime").val();
		    var ownerProjectManager = $("#ownerProjectManager").val();
		    var technicalStaff = $("#technicalStaff").val();
		    var operation = $("#operationAndMaintenancePersonnel").val();
		    var designer = $("#designer").val();

		    if (null==projectReserveId||""==projectReserveId){
                jp.error("请填写项目储备编号！");
			}else if(null==projectName||""==projectName){
				jp.error("请填写项目名称！");
			}else if (null==construct||""==construct){
		    	jp.error("请填写建设必要性及内容")
			}else if (null==requester||""==requester){
				jp.error("请填写需求提报人")
			}else if (null==owner||""==owner){
				jp.error("请填写业主储备专职")
			}else if (null==ownerDistribut||""==ownerDistribut){
				jp.error("请填写业主配网专职")
			}else if (null==ownerProjectManager||""==ownerProjectManager){
				jp.error("请填写业主项目经理")
			}else if (null==technicalStaff||""==technicalStaff){
				jp.error("请填写技经人员")
			}else if (null==operation||""==operation){
				jp.error("请填写运维人员")
			}else if (null==designer||""==designer){
				jp.error("请填写设计人员")
			}


		    else {
                var isValidate = jp.validateForm('#inputForm');//校验表单
                if(!isValidate){
                    return false;
                }else{
                    jp.loading();
                    jp.post("${ctx}/cg/reservemanagementcenter/reserveManage/save",$('#inputForm').serialize(),function(data){
                        if(data.success){
                            jp.getParent().refresh();
                            var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                            parent.layer.close(dialogIndex);
                            jp.success(data.msg)

                        }else{
                            jp.error(data.msg);
                        }
                    })
                }
			}
        }
	</script>
</head>
<body class="bg-white">
	<form:form id="inputForm" modelAttribute="reserveManagement" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
			<tbody>
			<tr>
				<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">项目年份：</label></td>
				<td class="width-35">
					<form:input path="projectYear" htmlEscape="false" class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">项目性质：</label></td>
				<td class="width-35">
					<form:input path="projectNature" htmlEscape="false" class="form-control"/>
				</td>

			</tr>
			<tr>
				<td class="width-15 active"><label class="">需求单位：</label></td>
				<td class="width-35">
					<form:input path="demandUnit" htmlEscape="false"    class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">区域：</label></td>
				<td class="width-35">
					<form:input path="district" htmlEscape="false"    class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">项目分组：</label></td>
				<td class="width-35">
					<form:input path="projectGroup" htmlEscape="false"    class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">储备批次：</label></td>
				<td class="width-35">
					<form:input path="reserveBatches" htmlEscape="false"    class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">供电区域：</label></td>
				<td class="width-35">
					<form:input path="blockSupply" htmlEscape="false"    class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">网格编号：</label></td>
				<td class="width-35">
					<form:input path="gridNumber" htmlEscape="false"    class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">单元格编号：</label></td>
				<td class="width-35">
					<form:input path="cellNumber" htmlEscape="false"    class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class=""><font color="red">*</font>项目储备编号：</label></td>
				<td class="width-35">
					<form:input path="projectReserveId" htmlEscape="false"    class="form-control required"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class=""><font color="red">*</font>项目名称：</label></td>
				<td class="width-35">
					<form:input path="projectName" htmlEscape="false"    class="form-control required"/>
				</td>
				<td class="width-15 active"><label class=""><font color="red">*</font>建设必要性及内容：</label></td>
				<td class="width-35">
					<form:input path="constructionNecessityAndContent" htmlEscape="false"    class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">变电站名称：</label></td>
				<td class="width-35">
					<form:input path="substationName" htmlEscape="false"    class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">线路名称：</label></td>
				<td class="width-35">
					<form:input path="circuitName" htmlEscape="false"    class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">网架项目划分：</label></td>
				<td class="width-35">
					<form:input path="netRackProjectDivide" htmlEscape="false"    class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">需求类型：</label></td>
				<td class="width-35">
					<form:input path="requirementType" htmlEscape="false"    class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">费用估算：</label></td>
				<td class="width-35">
					<form:input path="costEstimate" htmlEscape="false"    class="form-control number money"/>
				</td>
				<td class="width-15 active"><label class="">备注：</label></td>
				<td class="width-35">
					<form:textarea path="basicRemarks" htmlEscape="false" rows="3" maxlength="200" class="form-control"/>
				</td>
			</tr>

			<tr>
				<td colspan="4" class="width-15 active"><label class="">储备人员流转信息：</label></td>
			</tr>
			<tr>
				<td class="width-15 active"><label class=""><font color="red">*</font>需求提报人：</label></td>
				<td class="width-35">
					<form:input path="requester" htmlEscape="false" class="form-control"/>
				</td>
				<td class="width-15 active"><label class=""><font color="red">*</font>业主储备专职：</label></td>
				<td class="width-35">
					<form:input path="ownerReserveFullTime" htmlEscape="false" class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class=""><font color="red">*</font>业主配网专职：</label></td>
				<td class="width-35">
					<form:input path="ownerDistributionNerworkFullTime" htmlEscape="false" class="form-control"/>
				</td>
				<td class="width-15 active"><label class=""><font color="red">*</font>业主项目经理：</label></td>
				<td class="width-35">
					<form:input path="ownerProjectManager" htmlEscape="false" class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class=""><font color="red">*</font>技经人员：</label></td>
				<td class="width-35">
					<form:input path="technicalStaff" htmlEscape="false" class="form-control"/>
				</td>
				<td class="width-15 active"><label class=""><font color="red">*</font>运维人员：</label></td>
				<td class="width-35">
					<form:input path="operationAndMaintenancePersonnel" htmlEscape="false" class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class=""><font color="red">*</font>设计人员：</label></td>
				<td class="width-35">
					<form:input path="designer" htmlEscape="false" class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">概算编制人员：</label></td>
				<td class="width-35">
					<form:input path="budgetPreparer" htmlEscape="false" class="form-control"/>
				</td>
			</tr>
			</tbody>
		</table>
	</form:form>
</body>
</html>
