<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>新增带电作业信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
		    var projectReserveId = $("#projectReserveId").val();
		    var projectName = $("#projectName").val();
		    var construct = $("#constructionNecessityAndContent").val();


		    if (null==projectReserveId||""==projectReserveId){
                jp.error("请填写项目储备编号！");
			}else if(null==projectName||""==projectName){
				jp.error("请填写项目名称！");
			}else if (null==construct||""==construct){
		    	jp.error("请填写建设必要性及内容！")
			}


		    else {
                var isValidate = jp.validateForm('#inputForm');//校验表单
                if(!isValidate){
                    return false;
                }else{
                    jp.loading();
                    jp.post("${ctx}/cg/reservemanagementcenter/reserveSafeDisclosure/save",$('#inputForm').serialize(),function(data){
                        if(data.success){
                            jp.getParent().refresh();
                            var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                            parent.layer.close(dialogIndex);
                            jp.success(data.msg)

                        }else{
                            jp.error(data.msg);
                        }
                    })
                }
			}
        }
	</script>
</head>
<body class="bg-white">
<form:form id="inputForm" modelAttribute="reserveManagement" class="form-horizontal">
	<form:hidden path="id"/>
	<table class="table table-bordered">
		<tbody>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目年份：</label></td>
			<td class="width-35">
				<form:input path="projectYear" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目性质：</label></td>
			<td class="width-35">
				<form:input path="projectNature" htmlEscape="false" class="form-control"/>
			</td>

		</tr>
		<tr>
			<td class="width-15 active"><label class="">需求单位：</label></td>
			<td class="width-35">
				<form:input path="demandUnit" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">区域：</label></td>
			<td class="width-35">
				<form:input path="district" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">项目分组：</label></td>
			<td class="width-35">
				<form:input path="projectGroup" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">储备批次：</label></td>
			<td class="width-35">
				<form:input path="reserveBatches" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">供电区域：</label></td>
			<td class="width-35">
				<form:input path="blockSupply" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>网格编号：</label></td>
			<td class="width-35">
				<form:input path="gridNumber" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>单元格编号：</label></td>
			<td class="width-35">
				<form:input path="cellNumber" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目储备编号：</label></td>
			<td class="width-35">
				<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control required"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>项目名称：</label></td>
			<td class="width-35">
				<form:input path="projectName" htmlEscape="false"    class="form-control required"/>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>建设必要性及内容：</label></td>
			<td class="width-35">
				<form:input path="constructionNecessityAndContent" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">变电站名称：</label></td>
			<td class="width-35">
				<form:input path="substationName" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">线路名称：</label></td>
			<td class="width-35">
				<form:input path="circuitName" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">网架项目划分：</label></td>
			<td class="width-35">
				<form:input path="netRackProjectDivide" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">需求类型：</label></td>
			<td class="width-35">
				<form:input path="requirementType" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">费用估算：</label></td>
			<td class="width-35">
				<form:input path="costEstimate" htmlEscape="false"    class="form-control number money"/>
			</td>
			<td class="width-15 active"><label class="">备注：</label></td>
			<td class="width-35">
				<form:textarea path="basicRemarks" htmlEscape="false" rows="3" maxlength="200" class="form-control"/>
			</td>
		</tr>

		<tr>
			<td class="width-15 active"><label class="">储备进度：</label></td>
			<td class="width-35">
				<form:input path="reserveProgress" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">安全隐患排查：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否临近(交叉)输电线路作业(含土建)：</label></td>
			<td class="width-35">
				<select id="transmissionWork" name="transmissionWork"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.transmissionWork=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.transmissionWork=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否临近(交叉)输电线路作业(含土建)-描述：</label></td>
			<td class="width-35">
				<form:input path="workDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否与输电线路同杆架设：</label></td>
			<td class="width-35">
				<select id="transmissionErection" name="transmissionErection"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.transmissionErection=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.transmissionErection=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否与输电线路同杆架设-描述：</label></td>
			<td class="width-35">
				<form:input path="erecteDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否与输电线路共沟：</label></td>
			<td class="width-35">
				<select id="transmissionCommonTrench" name="transmissionCommonTrench"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.transmissionCommonTrench=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.transmissionCommonTrench=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否与输电线路共沟-描述：</label></td>
			<td class="width-35">
				<form:input path="trenchDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否临近带电中压线路作业：</label></td>
			<td class="width-35">
				<select id="mediumVoltageWork" name="mediumVoltageWork"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.mediumVoltageWork=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.mediumVoltageWork=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否临近带电中压线路作业-描述：</label></td>
			<td class="width-35">
				<form:input path="voltageWorkDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否有限空间作业：</label></td>
			<td class="width-35">
				<select id="confineSpaceWork" name="confineSpaceWork"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.confineSpaceWork=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.confineSpaceWork=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否有限空间作业-描述：</label></td>
			<td class="width-35">
				<form:input path="spaceDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否存在变电站出线电缆搭接-是：</label></td>
			<td class="width-35">
				<select id="subStationCableBonding" name="subStationCableBonding"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.subStationCableBonding=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.subStationCableBonding=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否存在变电站出线电缆搭接-是-描述：</label></td>
			<td class="width-35">
				<form:input path="cableDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否存在跨越公路、铁路、航道作业：</label></td>
			<td class="width-35">
				<select id="roadRailwaysAndWaterwaysWork" name="roadRailwaysAndWaterwaysWork"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.roadRailwaysAndWaterwaysWork=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.roadRailwaysAndWaterwaysWork=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否存在跨越公路、铁路、航道作业-描述：</label></td>
			<td class="width-35">
				<form:input path="waterDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否存在动火作业：</label></td>
			<td class="width-35">
				<select id="hotWork" name="hotWork"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.hotWork=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.hotWork=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否存在动火作业-描述：</label></td>
			<td class="width-35">
				<form:input path="hotWorkDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>是否需停电四条以上线路：</label></td>
			<td class="width-35">
				<select id="blackoutLineFour" name="blackoutLineFour"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.blackoutLineFour=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.blackoutLineFour=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class=""><font color="red">*</font>是否需停电四条以上线路-描述：</label></td>
			<td class="width-35">
				<form:input path="lineFourDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>是否三条以上线路负荷改接：</label></td>
			<td class="width-35">
				<select id="lineLoadRedirectionThree" name="lineLoadRedirectionThree"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.lineLoadRedirectionThree=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.lineLoadRedirectionThree=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否三条以上线路负荷改接-描述：</label></td>
			<td class="width-35">
				<form:input path="threeRedirectDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否多专业、多班组大型作业：</label></td>
			<td class="width-35">
				<select id="largeScaleMultiTeamWork" name="largeScaleMultiTeamWork"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.largeScaleMultiTeamWork=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.largeScaleMultiTeamWork=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否多专业、多班组大型作业-描述：</label></td>
			<td class="width-35">
				<form:input path="teamWorkDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否需编制三措：</label></td>
			<td class="width-35">
				<select id="prepareThreeMeasures" name="prepareThreeMeasures"  class="form-control">
					<option value="">请选择</option>
					<option value="是" <c:if test="${reserveManagement.prepareThreeMeasures=='是'}">selected</c:if>>是</option>
					<option value="否" <c:if test="${reserveManagement.prepareThreeMeasures=='否'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否需编制三措-描述：</label></td>
			<td class="width-35">
				<form:input path="measureDescribe" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">作业风险等级预判：</label></td>
			<td class="width-35">
				<form:input path="jobRiskLevelPrediction" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		</tbody>
	</table>
</form:form>
</body>
</html>
